Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554748 - sys-devel/autoconf-2.69 fails "503: autoscan" tests if dev-lang/perl-5.22.0 is installed
Summary: sys-devel/autoconf-2.69 fails "503: autoscan" tests if dev-lang/perl-5.22.0 i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2015-07-13 13:52 UTC by Paolo Pedroni
Modified: 2019-04-07 13:43 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
autoconf-2.69:20150713-125858.log.gz (autoconf-2.69:20150713-125858.log.gz,20.65 KB, application/gzip)
2015-07-13 13:52 UTC, Paolo Pedroni
Details
testsuite.log (testsuite.log,54.25 KB, text/x-log)
2015-07-13 13:53 UTC, Paolo Pedroni
Details
autoconf-2.69-perl.5.22_fix.patch (autoconf-2.69-perl.5.22_fix.patch,360 bytes, patch)
2015-07-17 13:57 UTC, Paolo Pedroni
Details | Diff
patch from autoconf git master branch (0001-autoscan-port-to-perl-5.17.patch,823 bytes, patch)
2017-03-25 14:25 UTC, Andreas K. Hüttel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2015-07-13 13:52:15 UTC
Created attachment 406662 [details]
autoconf-2.69:20150713-125858.log.gz

After I installed dev-lang/parl-5.22.0 I cannot get sys-devel/autoconf-2.69 tests to succeed anymore. The failing tests are:

Compatibility with other tools.

501: Libtool                                         FAILED (foreign.at:61)
502: shtool                                          ok

Autoscan.

503: autoscan                                        FAILED (autoscan.at:44)

Test 501 does not depend on perl version (it's something to do with libtoolize, but I don't have time for it today), but test 503 yields the same error message as in bug #554728, and I'm quite sure perl-5.22 is the culprit in that case.

File /var/tmp/portage/sys-devel/autoconf-2.69/work/autoconf-2.69/tests/testsuite.log is attached.

# emerge --info =sys-devel/autoconf-2.69
Portage 2.2.20 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.20-r2, 4.0.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.0.5-gentoo-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.2
KiB Mem:    12275644 total,   7688412 free
KiB Swap:    8380412 total,   8380412 free
Timestamp of repository gentoo: Mon, 13 Jul 2015 09:15:01 +0000
sh dash 0.5.8.2
ld GNU gold (Gentoo 2.25 p1.2 2.25) 1.11
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.3_p33-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.9-r1::gentoo, 3.4.2::gentoo
dev-util/ccache:          3.1.9-r4::gentoo
dev-util/cmake:           3.2.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo                                                                                   
sys-devel/binutils:       2.25-r1::gentoo                                                                                                     
sys-devel/gcc:            4.9.3::gentoo                                                                                                       
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo kde
    priority: 0

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 1

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=amdfam10 -msahf -mlzcnt -mpopcnt --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -flto=5 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=amdfam10 -msahf -mlzcnt -mpopcnt --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -flto=5 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks ipc-sandbox merge-sync news parallel-fetch protect-owned sandbox sfperms split-elog split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ http://gentoo.mirror.dkm.cz/pub/gentoo/ http://ftp.halifax.rwth-aachen.de/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=5 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
MAKEOPTS="-j12"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow X a52 aac aalib acl acpi alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli consolekit cracklib crypt css cups curl cxx dbus dga djvu dri dts dvd dvdr emboss encode exif expat fbcon ffmpeg fftw flac fontconfig fortran ftp gd gdbm gif glamor gmp gnutls gpm graphviz gstreamer gtk iconv icu idn ieee1394 imagemagick imlib inotify introspection ipv6 java javascript jbig jpeg jpeg2k kde lame lcms libass libcaca libnotify libsamplerate lm_sensors lua lzma lzo mad mmap mmx mmxext mng modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin offensive ogg openal openexr opengl openmp pam pango pcre pdf png policykit postscript ppds pulseaudio qt3support qt4 rdesktop readline sdl session smartcard sndfile speex spell sqlite sse sse2 ssl startup-notification svg symlink syslog systemd taglib theora threads tiff truetype udev udisks unicode upower usb vaapi vcd vdpau vim-syntax vorbis wavpack wayland win32codecs wmf wxwidgets x264 xattr xcb xcomposite xine xinerama xml xpm xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" LINGUAS="it it_IT" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy pypy3" RUBY_TARGETS="ruby20" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-devel/autoconf-2.69::gentoo was built with the following:
USE="test -emacs (-multislot)" ABI_X86="64"

# emerge -1pqv =sys-devel/autoconf-2.69
[ebuild   R   ] sys-devel/autoconf-2.69  USE="-emacs (-multislot)"
Comment 1 Paolo Pedroni 2015-07-13 13:53:44 UTC
Created attachment 406664 [details]
testsuite.log
Comment 2 Paolo Pedroni 2015-07-14 17:31:58 UTC
After some googling I've found this:

http://permalink.gmane.org/gmane.comp.lib.gnulib.bugs/35198

and this:

http://permalink.gmane.org/gmane.linux.lfs.devel/16227

The best course of action, IMHO, would be to skip the test-update-copyright.sh test. As I'm doing an 'emerge -1ev world' do you want me to keep reporting those failures as I find them or should I stop here?
Comment 3 Paolo Pedroni 2015-07-14 17:43:28 UTC
There's also this post that has a patch:

https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1329878.html
Comment 4 Paolo Pedroni 2015-07-17 13:57:08 UTC
Created attachment 407014 [details, diff]
autoconf-2.69-perl.5.22_fix.patch

This patch fixes test 503. I'm still at a loss as how to fix test 501.
Comment 5 Andreas K. Hüttel gentoo-dev 2017-03-25 14:25:08 UTC
Created attachment 468226 [details, diff]
patch from autoconf git master branch

Here's the (identical) patch from the Gnu Autoconf git repo, where it has been sitting since 2013 waiting for a new release...
Comment 6 Andreas K. Hüttel gentoo-dev 2017-03-25 14:33:49 UTC
This Perl warning turns into a failure in Perl 5.26 (see also bug 613790).

So, essentially we need to fix all autoconf versions in the tree *before* Perl 5.26 is added (end of May).
Comment 7 gentoo_usr 2018-01-07 15:51:53 UTC
This issue seems to be fixed in autoconf-2.69-r4 [0] (the issue might be a duplicate/related to #613790):

commit 50932475bceaaa0499b1d1e0daf78e5e8f7c1446 (HEAD -> master, origin/master, origin/HEAD)
Author: Kent Fredric <kentnl@gentoo.org>
Date:   Thu Apr 27 13:40:02 2017

    sys-devel/autoconf: Add perl-5.26 patch re bug #613790

    This fixes the unescaped "{" issue.

    -r1 bump necessary as end users must have this patch applied to
    their installs otherwise autoscan will be broken after upgrading
    perl.

    autoconf does not subslot dep on perl, so there are no guarantees
    that a rebuild will happen to propagate this patch

    Hence, -r1 fix

    Bug: https://bugs.gentoo.org/613790

    Package-Manager: Portage-2.3.4, Repoman-2.3.2
    Closes: https://github.com/gentoo/gentoo/pull/4500

[0] https://cgit.gentoo.org/repo/gentoo.git/commit/sys-devel/autoconf?id=50932475bceaaa0499b1d1e0daf78e5e8f7c1446
Comment 8 gentoo_usr 2018-01-07 15:54:01 UTC
(In reply to Paolo Pedroni from comment #4)
> I'm still at a loss as how to fix test 501.

That might be #584144 (also fixed in autoconf-2.69-r4)
Comment 9 Andreas K. Hüttel gentoo-dev 2019-04-07 13:43:43 UTC
I'm assuming this is fixed by now. Please reopen if not.